Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryInfo

Enclosing class:
  TdApi

public static final class TdApi.StoryInfo extends TdApi.Object
Contains basic information about a story.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`date`
Point in time (Unix timestamp) when the story was published.
`boolean`
`isForCloseFriends`
True, if the story is available only to close friends.
`int`
`storyId`
Unique story identifier among stories of the given sender.

## Constructor Summary

Constructors
Constructor
Description
`StoryInfo()`
Contains basic information about a story.
`StoryInfo(int storyId, int date, boolean isForCloseFriends)`
Contains basic information about a story.
`StoryInfo(DataInput input)`
Contains basic information about a story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### storyId

public int storyId
Unique story identifier among stories of the given sender.

### date

public int date
Point in time (Unix timestamp) when the story was published.

### isForCloseFriends

public boolean isForCloseFriends
True, if the story is available only to close friends.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StoryInfo

public StoryInfo()
Contains basic information about a story.

### StoryInfo

public StoryInfo(int storyId, int date, boolean isForCloseFriends)
Contains basic information about a story.

Parameters:
  `storyId` - Unique story identifier among stories of the given sender.
  `date` - Point in time (Unix timestamp) when the story was published.
  `isForCloseFriends` - True, if the story is available only to close friends.

### StoryInfo

public StoryInfo(DataInput input) throws IOException
Contains basic information about a story.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`